Page MenuHomePhabricator

Run maintenance script to populate change_tag_def on WMF production (all wikis)
Closed, ResolvedPublic

Description

We need to run the script in prod.

Progress report:

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8 (ongoing)
  • wikitech

Event Timeline

Ladsgroup created this task.May 4 2018, 1:33 PM
Reedy renamed this task from Run maintaince script to populate change_tag_def on WMF production (all wikis) to Run maintenance script to populate change_tag_def on WMF production (all wikis).May 4 2018, 1:55 PM
Ladsgroup moved this task from Incoming to In Progress on the Wikidata-Campsite board.

We'll start with frwiki on July 2nd, Moving on to other wikis the following week.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 28 2018, 1:15 PM
Vvjjkkii renamed this task from Run maintenance script to populate change_tag_def on WMF production (all wikis) to yldaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from yldaaaaaaa to Run maintenance script to populate change_tag_def on WMF production (all wikis).Jul 2 2018, 4:28 PM
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Mentioned in SAL (#wikimedia-operations) [2018-07-19T18:17:48Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist all populateChangeTagDef.php (T193873) It will take a couple of days

Given T200061: Recent duplicate entries on change_tag on sanitarium hosts I will run this based on section and not in one go:

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6 (ongoing)
  • s7
  • s8

Mentioned in SAL (#wikimedia-operations) [2018-07-23T07:54:33Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s6 populateChangeTagDef.php (T193873)

Mentioned in SAL (#wikimedia-operations) [2018-07-23T09:00:17Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s8 populateChangeTagDef.php (T193873)

Ladsgroup updated the task description. (Show Details)Jul 23 2018, 9:06 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-24T11:19:02Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s2 populateChangeTagDef.php --sleep 2 (T193873)

Ladsgroup updated the task description. (Show Details)Jul 24 2018, 11:19 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-24T11:21:40Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s1 populateChangeTagDef.php (T193873)

Ladsgroup updated the task description. (Show Details)Jul 24 2018, 11:24 AM
Ladsgroup updated the task description. (Show Details)Jul 25 2018, 8:08 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-25T08:10:13Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s4 populateChangeTagDef.php --sleep 2 (T193873)

Ladsgroup updated the task description. (Show Details)Jul 25 2018, 12:21 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-25T12:21:46Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s5 populateChangeTagDef.php --sleep 2 (T193873)

Krinkle updated the task description. (Show Details)Jul 25 2018, 8:35 PM
Krinkle added a subscriber: Krinkle.

I've tentatively added wikitech to the checklist, but feel free to remove if I misunderstood.

Ladsgroup updated the task description. (Show Details)Jul 26 2018, 10:07 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-26T10:07:50Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s7 populateChangeTagDef.php --sleep 2 (T193873)

Ladsgroup updated the task description. (Show Details)Jul 26 2018, 10:08 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-26T11:02:26Z] <Amir1> ladsgroup@mwmaint1001:~$ foreachwikiindblist wikitech populateChangeTagDef.php (T193873)

Ladsgroup updated the task description. (Show Details)Jul 26 2018, 11:02 AM

@Krinkle Thanks! I found out that the table is not added in labtestwiki and made it there and ran it on both wikis in the group. That part is done now.

Ladsgroup updated the task description. (Show Details)Jul 27 2018, 8:36 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-27T08:36:51Z] <Amir1> ladsgroup@mwmaint1001:~$ foreachwikiindblist s3 populateChangeTagDef.php --sleep 2 (T193873)

Ladsgroup updated the task description. (Show Details)Jul 27 2018, 12:16 PM
Ladsgroup updated the task description. (Show Details)Jul 30 2018, 8:16 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-31T04:47:16Z] <marostegui> Stop change_tag_def populate maintenance script for wikidata and enwiki - T193873

Mentioned in SAL (#wikimedia-operations) [2018-08-01T08:21:21Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s8 populateChangeTagDef.php --sleep 3 (T193873)

Mentioned in SAL (#wikimedia-operations) [2018-08-01T08:22:07Z] <Amir1> start of ladsgroup@mwmaint1001:~$ foreachwikiindblist s1 populateChangeTagDef.php --sleep 2 (T193873)

Ladsgroup updated the task description. (Show Details)Aug 3 2018, 4:40 PM

Only Wikidata is left, That beast is going to take around a month

Right on time for the DC failover.
We are probably aiming for the 11th September week (still to be totally confirmed).
If it is not done by that time, I guess you would need to stop it before or otherwise it will fail (unless it re read the config). But safe to stop it I would say.

Yeah, I will stop it right before the DC failover.

Ladsgroup closed this task as Resolved.Sep 6 2018, 9:03 PM
Ladsgroup updated the task description. (Show Details)

It's all done.